= 19.7.2 =

* Fix: Metabox saved when other posts are saved, i.e. WooCommerce orders.

= 19.7.1 =

* Update: Zapier Updates
* Fix: Partial Payments setting invoices as paid under specific circumstances.
* Fix: Notifications sent without complete information
* Fix: WooCommerce product for integration will be recreated
* New: Project times filter - si_project_get_associated_times

= 19.7 =

* Update: Zapier authentication simplification
* New: [admin_note] shortcode added to more notifications
* Fix: Due date changed after notification sent from invoices admin
* New: Filter to remove help desk - si_show_help_desk
* Fix: PDF template color issues

= 19.6.1 =

* Update: New Zapier Integrations & Updates
* Fix: Mobile view for admin tables
* New: New Hook for Importing

= 19.6 =

* Fix: WooCommerce Cart Issue
* New: Square Payment Notes
* New Filter: "si_recurring_invoice_default_status" set the default status for recurring invoices
* Update: Client wont need to sign invoice after signing the approved estimate 

= 19.5.9 =

* Fix: WooCommerce Bug with "Cart is Empty"
* New: Filter for WooCommerce to allow for products to be added back to the cart for payment from an invoice payment - "si_woo_payment_single_product_for_payment"
* New: Invoice reciept delay with "si_create_invoice_receipts_upto"
* Update: Zapier fixes for updates
* Fix: Slate theme logo styling
* Update: Record views only for published docs
* Update: PDF display for footer
* Update: Time widget
* Update: PDF Attachment

= 19.5.8.1 =

* Update: Scheduled posts in Zapier
* Update: Change invoice status when sent before PDF is generated
* Update: Select2 Update
* Fix: Advanced select options on clients and project pages
* Fix: Generating notifications for recurring invoices error under specific conditions

= 19.5.7 =

* Fix: Stripe filters caused error for plans

= 19.5.6 =

* Fix: PDF Template overrides were not working correctly for PDF Service
* Fix: CSS Updates for report pages
* Fix: Subscription payment reciepts not working after invoice was edited after payment.
* Update: Subscription and Recurring invoice messaging updates to help prevent conflicts
* Update: Stripe filters
* Update: Translations
* Update: Optimizations

= 19.5.5 =

* NEW: Show the notification descriptions on the main admin page
* NEW: Authorize.net line items
* NEW: Points of Contact Add-on updated to allow manual sends
* Fix: Compatibility fix with plugins that like to share CSS with broad selectors on pages they shouldn't.
* Fix: Advanced ID Generation for recurring/cloned invoices

= 19.5.4 =

* Fix: Recurring notifications not sending to all associated client users

= 19.5.3 =

* Fix: CSS Issue on payment page
* Fix: Conditional bug that prevented the credit card form to show

= 19.5.2 =

* Fix: PHP Notices for older installs upgrading
* Fix: A few Basic/Freelancer add-ons removed after a review that they shouldn't have been included
* Fix: Service fee added after a fee was already added
* Fix: Partial payments updated for better payment workflow, and styling

= 19.5.1 =

* Fix: Address not saving for some client records
* Fix: Mercadopago sandbox option, and new filter for button


= 19.5 =

* NEW: Basic Theme
* NEW: Phone and Fax
* Update: CSS for Basic and Default themes
* NEW: Shipping add-on support for new themes

= 19.1.1 =

* Fix: Settings not saved on sites with differing HOME/SITE urls.
* Update: Partial Payments and Deposit option logic
* Fix: Pointer conflicts
* NEW: si_default_due_in_days includes invoice object as param

= 19.1 =

* New: Transition to new domain
* New: New branding for Sprout Invoices
* New: Getting started is changed up for new users
* Fix: PDF purchase button links
* Fix: Login compat with default theme

= 19.0.2 =

* Fix: Developer logs incorrectly enabled under some circumstances.

= 19.0.1 =

* New: Start of transition to new domain
* Fix: Admin views support smaller screens
* New: Login view override support
* Fix: Estimate ranges typo

= 19.0 =

* New: A lot of change to how Partial Payments and Deposits works. They're now an add-on that can be enabled/disabled.
* New: Estimate Ranges Add-on
* New: Manual recurring/payment-receipts creation
* New: Estimate expiration shortcode
* Fix: Payment Term notification shortcodes
* Fix: Payment Term notification status

= 18.1.7 =

* Fix: WooCommerce correctly updating invoice after order status changed.
* Update: Service line item type has no qty, and manage admin prevents its use.
* Fix: Service fee not automatically added if single processor is active
* Fix: PayPal Pro and Standard mode conflicts. 
* Update: Updated messaging for free users

= 18.1.6 =

* Fix/Refactor: Line item commenting
* New: Filter to bypass service fee
* New: Filter for WooCommerce product import

= 18.1.5 =

* Fix: Notification admin optimization
* Fix: Notification content not resetting
* Fix: Notification content reset with HTML
* Fix: Add-on require logic causing errors on some setups

= 18.1.4 =

* Temp: Temporarily removing comments add-on
* Fix: PDF CSS not showing terms/info titles
* Fix: GST not calculated on reports correctly
* Fix: Title of Invoice/Estimate not shown

= 18.1.3 =

* Fix: Improved PHP 7.1 Support
* Fix: Stripe error section shown when there are no errors
* Fix: Stripe settings not saving correctly

= 18.1.1 =

* Fix: Payment receipts for subscription payments not completing under certain circumstances.

= 18.1 =

* Update: Stripe SDK Updated
* Fix: Account Credit Types
* Update: Payment options template is using the invoice balance
* Update: Try to not record bot/se visits
* Fix: Update old admin urls 

= 18.0.9 =

* Update: Double check some meta for recurring and subscription payment invoice duplication, in case the WP_Query meta query is being hijacked.

= 18.0.8 =

* Update: Notification previews respect which format is selected

= 18.0.7 =

* Update: Test notifications brought back
* Fixed: WooCommerce Add-on description updated

= 18.0.6 =

* NEW: New filter for invoice total - si_use_total_for_calculated_total
* NEW: Add-ons settings no longer blank
* Fixed: License key being reset after certain conditions
* Fixed: Account Credits add-on unavailable

= 18.0.5 =

* Fixed: CC Settings not saving

= 18.0.4 =

* Fixed: Some js admin callbacks not working under some setups
* Fixed: More Responize Admin
* Fixed: Deprecated PHP Support
* Fixed: Typos

= 18.0 =

* New: Completely New Admin
* New: Integrated Support
* New: Manual Notifications
* New: Improved Invoices List Admin
* New: New Notifications: Payment Cleared, and Recurring Invoice
* New: Additional Importer (Sliced)

More information found [here](https://sproutinvoices.com/news/summer-update-brings-all-new-sprout-invoices-admin/).

= 17.2.1 =

* Update/Fix: Reset totals after invoices are cloned for subscriptions and recurring. This should address when servers cache the balance and it's not reset before the invoice is viewed.

= 17.2 =

* Update/New/Fix: New WYSIWYG Editor 
* Update: Sprout Billings styling updates 
* New: Duplication link

= 17.1.0.1 =

* Fix: Stripe user defaulting to admin under specific circumstances
* Update: Better PDF Formatting and additional filters

= 17.0.10 =

* Fix: elements collapsing instead of auto flowing 
* Update: Allow for estimate totals cache to be reset

= 17.0.9 =

* Update: All Pro versions of Sprout Invoices include the advanced numbering add-on.
* Fix: Stored PDF for notifications may not be stored with the correct file names.

= 17.0.7 =

* Fix: Prevent non existent users from being attributed to possible payments
* Fix: CSS Updates
* NEW: Notification shortcode for first_name
* Fix: Notes not saving for estimates before sending
* Update: PHP version check for WooCommerce integration
* Fix: Estimate acceptance actions bug fix for invoice creation
* Update: GMT for all history


= 17.0.6 =

* Update: Improved error messaging for PDF Service.

= 17.0.5 =

* Fix: PDF Service caching issue
* Update: Reporting totals and column adjustments

= 17.0.3 =

* Fix/Update: Password protection compat for new PDF Service
* Fix/Update: Ability to view PDF after invoice is paid (default theme)
* Fix: Add-on caching issue

= 17.0 =

* NEW: PDF Service for better PDF creation!
* Fix/Update: Status for records being updated irregularly
* Update: Stripe API fixes
* Update: Fix for client types
* Update: Show the client's stored address info when using a credit card payment
* Update: Minor updates and bug fixes

= 16.8.1 =

* Update: New Stripe API Changes

= 16.8 =

* Update: Remove all form integrations add-ons since they're now in the .org repo for free

= 16.7.6 =

* Update: Freemius updated for free versions
* Fix: Removed private bundled add-on

= 16.7.5 =

* Update: PO updates
* Update: Remove Ready Status add-on because of incompatibilities
* Fix: Recurring (more) fail checks
* Update: Plaid filter for environment
* Fix: Project time tracking meta box redundancy
* Fix: Fees should not be doubled up

= 16.7 =

* NEW: More options to change the colors for the default theme in the customizer
* Update: Adjustments for better PDF add-on support

= 16.6.0.1 =

* Update: Reverting GMT offset changes from last release. Needs more testing.
* Update: Offsite payment processor update
* New: Filtering for checkboxes
* Update: Line items totals display updated for the admin.
* New: Save a default list of add-ons to be active on setup.
* Update/Fix: WooCommerce exclusive/inclusive tax updates
* Update: WooCommerce compatibility update

= 16.5.7 =

* Update: Point of Contact add-on will no longer force itself if unused.
* Update: Use GMT offset everywhere
* Fix: Signature add-on errors for default theme

= 16.5.6 =

* Fix: Some payment processsors were executing filters/actions without being active.

= 16.5.5 =

* Fix: Extraneous callback for updates on every load.
* Fix: NMI bundle fix

= 16.5.3 =

* Fix: Pushing an update because business license holders were not receiving the proper bundle

= 16.5.2 =

* Fix: Latest version of WordPress handles taxonomy queries differently which may have resulted in some records being purged.

= 16.5 =

New pricing plans for all pro licenses

= 16.0.4 =

* Fix: date warnings displayed above recurring payments section
* Updated: Adjust recurring invoice editing, so the start date is updated after every change.
* Updated: Prevent future invoices from being generated.
* New: New filter when clients are created, si_create_user_args
* New: Don't repeat line item headers via filter: si_show_all_line_item_headers
* New: Payment Term notifications have new shortcodes
* Fix: Localization issues for estimates template

= 16.0.4 =

* Updated: New action for Default theme to show more info
* Fix: Subscription payment method using wrong object param
* Fix: Prevent error for non WP object
* Updated: Better show the deposit payment with the Default theme
* Updated: Woo integration updates for cached product

= 16.0.1 =

* New: Zapier Support
* New: Recurring invoices re-write
* New: ApproveMe integration support for Default Theme
* New: Client set payments support for new Default Theme
* New: Allow to easily filter default line item
* New: Square support
* Updated: Subscription payments, new information
* Updated: PO, Localization
* Updated: Free version now necessary
* Fix: WooCommerce customer not logged in
* Fix: Payment terms display issue
* Fix: WooCommerce Checkout w/ Shipping

= 15.2 =

* Fix: Free version deactivation bug
* New: Spanish Translation
* Updated: Templates have body classes

= 15.1.8 =

* Fix: Payment term notifications not being sent.

= 15.1.7 =

* Fix: Payment processor object not returned, causing CRON to fail under certain circumstances.

= 15.1.6 =

* Fix: Localization

= 15.1.5 =

* Fix: Recurring Invoices dups created with pre-start date save.
* Fix: CA Tax error

= 15.1.4 =

* Fix: Notification shortcodes bug
* Fix: Line item template overrides

= 15.1.3 =

* Fix: Jetpack compatibility issue
* Fix: Avada Theme compat

= 15.1.2 =

* Fix: Estimate template function typo
* Fix: Service Fee add-on updated
* Update: Select2 Upgraded

= 15.1 =

* NEW: Sprout Billings support
* Fix: Auto select the first payment method if only one exists
* Fix: Multiple theme selections

= 15.0 =

* NEW: New Default Theme!!!!
* NEW: Updates to support the new Service Fee add-on.
* NEW: Fees are added to reports.
* NEW: Support for Square payments, new add-on will be released soon.
* NEW: Added info for recurring invoice on the invoice admin.
* NEW: Notification shortcode to show payments
* FIX: Bulk edit causing lost client association.

= 14.0.5 =

* FIX: Firefox support
* UPDATE: EU Region name update
* FIX: HTML Notifications add-on conflict with Test Notifications
* FEATURE: CA GST Report Support

= 14.0.4 =

* FIX: Payment Term Notifications Disabled
* FIX: WC Compat Check

= 14.0.3 =

* FIX: Shipping fees not loaded
* NEW: Delay loading hook, si_delayed_load

= 14.0.2 =

* COMPAT: WPSEO compatibility

= 14.0.1 =

* FIX: Reset totals on submission
* FIX: WooCommerce integration fixes for VAT
* FIX: Payment obejct sent and interpreted as array

= 14.0 =

* NEW FEATURE: Payment Terms
* FIX: Minor bug fixes all around

= 13.0.4 =

* FIX: WooCommerce Payments

= 13.0.3 =

* UPDATE: WooCommerce Tools Update
* UPDATE: Ninja Forms THREES support

= 13.0.1 =

* FIX: Customizer not saving colors correctly
* UPDATE: IP address method global use

= 13.0.0 =

* NEW: Notification status indicators
* NEW: Digital signature support
* FIX: Multiple bug fixes, including the escaping of notes

= 12.1.1 =

* FIX: Saving error for new PO payment processor
* NEW: New method for is_processor_enabled.

= 12.1 =

* NEW: New PO processor

= 12.0.2 =

* FIX: Select2 Compat issues with themes and other plugins

= 12.0.1 =

* Commpatibility: ACF Pro

= 12 =

* New: Notification testing!
* New: Ability to delete all SI records, great for a bad first import.
* New: Project expense overview.
* New: New Zapier integration authorizations to prevent issues on some servers.
* New: Allow the filtering of recurring invoices in the admin.
* New: Allow the filtering of subscription payment invoices in the admin.
* New: Client edit url shortcode [client_edit_url]
* New: Client Address shortcodes [client_address]
* New: Client website shortcodes [client_company_website]
* New: New notification filters.

= 11 =

* NEW: Compatibility with expense tracking add-on
* NEW: Create new invoices for subscriptions payments.
* NEW: Fees API!
* NEW: Shipping fee option.
* NEW: Footer counts dynamically update on reports.
* NEW: Invoices sent when new invoices are created from recurring settings.
* NEW: Default rate for projects.
* Fix: Predefined option disappears under some conditions.
* Fix: ".00" removed from line item totals has a condition for site currency settings.
* Fix: Payment calculations within some dashboard widgets
* Fix: Invoice status updates for void/complete

= 10.3.2 =

* Fix: PayPal issues with advanced tax add-ons

= 10.3.1 =

* Fix: Overdue invoices within widgets

= 10.3 =

* NEW: Add WooCommerce product import compatibility
* Fix: Line item fix
* Fix: Payment reminder refactored
* Update: Redactor updated
* Fix: PHP warning

= 10.2 =

* Fix: Dont' allow non editors to log credits.

= 10.1 =

* New: Project Panorama Integration
* Fix: WooCommerce Integration Update Mechanism fix
* Fix: UI for Recurring 
* Update: Translations

= 10.0.8 =

* Fix: Selection of of users from client admin
* Change: Free updates

= 10.0.7 =

* Change: Option to help improve sprout invoices.
* Fix: Fields error when no payment options are available
* Fix: Account credits doesn't have an admin bar option
* Fix: Slow loading servers need feedback on AJAX requests

= 10.0.6 =

* Fix: Select2 Compatibility issues

= 10.0.5 =

* Fix: PayPal transaction error when parent line items are used.
* Fix: Line item totals not formatted
* Fix: Select2 should not be loaded everywhere
* Fix: PHP7 compatibility
* Fix: Client payment processor limits fix

= 10.0 =

* New: Account credits and payment credits
* New: Improved payment reminder (new reminder email)
* New: Estimate approval reminder (new reminder email)
* New: Client specific payment options
* New: Archive status, removes from front-end views
* New: Limit automatic recurring creation
* New: Payments dashboard widget
* Change: Automatically change status of scheduled docs
* Change: Automatically send invoice/estimate when published from a schedule
* Change: Send to multiple recipients with comma separated list
* Change: Add user of time keeper
* Change: Tax and discount are seperate line item totals
* Change: Premium reports updated with HTML5 export options
* Change: Remove visual editor from notification admin
* Fix: New line adjustments for address
* Fix: Dynamic text
* Fix: New line for plain text notifications
* Fix: Code cleanup with WP coding standards (formatting)
* Fix: Misc. minor bug fixes

= 9.4 =

* Fix: Reporting fixes
* Fix: Email address truncated on long top level domains.
* New: Notifications action.

Security updates:

* Possible for anyone to save new importer options, including uploading CSVs.
* Possible for anyone to create a payment
* Security issue with unfinished (unreleased) JSON API.

= 9.3 =

* UPDATE: Default Invoice/Estimate Subject to ID
* UPDATE: Localization update, including French translation

= 9.2.2 =

* UPDATE: Added more line item totals within the admin
* FIX: Cloning line items would result in descriptions that couldn't be saved.
* FIX: Extreme edge case calculation issues

= 9.2.1 =

* UPDATE: Theme compatibility improvements, e.g select2
* FIX: discount calculation improvements

= 9.2.0.1 =

* FIX: Estimates issue

= 9.2 =

* FIX: Parent line item totals
* OPT: Slight optimization for estimates and invoices

= 9.1.1 =

* FIX: PayPal cart total errors with invoices that utilize discounts, deposits, and taxes with fractional totals.

= 9.1 =

* NEW: Notes and Terms notification shortcodes
* FIX: Zapier routing issues
* FIX: Pass estimates notes to newly created invoice from estimate
* FIX: Time tracking load order fix

= 9.0.3 =

* FIX: AJAX callback errors, i.e. client creation.
* FIX: Localization changes causing errors on free version.

= 9.0 =

* NEW: Estimate and Invoice shortcodes
* NEW: Improved reporting and filtering
* NEW: Dashboard report caches are deleted on record updates
* NEW: All strings are wrapped by WP functions not wrapper class methods.
* FIX: Payments by month filtering error
* NEW: Load custom CSS based on invoice or estimate
* CHANGE: Line items have a unique index for future features
* FIX: Line item commenting allows for reordering of comments
* NEW: Improved dashboard time tracking widget
* FIX: Fractional discounts for PayPal
* NEW: Temp status redirects user to home page
* NEW: Associated client records are removed when a client is deleted.

= 8.7.1 =

* NEW: Filter for sending invoices to prevent filters. i.e. fix for PDF add-on. #165
* FIX: Estimate dashboard not showing current records. #167
* FIX: Fix for line item comments not showing highlighted icon when a comment is available. #166
* FIX: Default Terms/Notes transposed in some cases.

= 8.7 =

* NEW: Filter to suppress notifications on an individual basis. #163
* FIX: Default Terms/Notes for All Estimate/Invoices bug priority. #162
* UPDATE: Submission Hooks & Line Item Type priority. #161
* FIX: Report Filtering/Sorting. #159
* FIX: Estimate Submission Info Missing. #158

= 8.6 =

* NEW: Sprout Billings Support
* NEW: Recurring dashboard updates
* NEW: Form field wrapper classes
* Fix: PayPal "Adjustment" resolution
* OPT: Prevent looping of meta_box saves

= 8.5 =

* NEW: Payment options templating
* Fix: Caldera Forms compatibility
* Update: Improved Sprout Clients compatibility with Client Dashboards

= 8.4 =

* NEW: Reduce overall size.
* Fix: CSV Importing of already imported client users
* Fix: Invoice template showing "Pending Payment" when balance is zero
* Fix: Ultimate Member compatibility

= 8.3.1 =

* New: Save info meta action hook.
* New: New add-on compatibility hooks.
* New: New add-on hook to disable invoice creation.
* FIX: ACF compatibility fixes.
* FIX: Select2 compatibility issues with some plugins.

= 8.2 =

* New: Bundled add-on for admin filtering
* New: Pricing options is a hook for invoice templates
* New: Filter for attachments

= 8.1.1 =

* Fix: PHP Notice suppression on old line items.

= 8.1 =

* NEW: MercadoPago Support (payment button link callback)
* NEW: Line item total sorting
* Fix: Misc. Error fixes

= 8.0.5 =

* Fix: Escaped Addresses
* Fix: Redactor fix from 8.0.4
* Fix: WooCommerce compatibility with their outdated version of select2

= 8.0.3 =

* Fix: Estimates and pre-defined items
* Fix: Estimates not saved advanced columns correctly
* NEW: New filters for some bundled add-ons

= 8.0.2 =

* Fix: Javascript error when adding new users on clients page (select2 incompatibility)
* Fix: Javascript error on some admin pages

= 8.0 =

* New: Line Item Types and new management
* New: Pre-defined editing with new types
* New: Pre-defined item selection search
* Update: Time Tracking update to support item types
* New: Invoices and Estimates Admin filtering
* New: New bulk send of invoices or estimates

= 7.6.1 =

* FIX: Possible security fix with exposed estimates/invoices with site.com?post_type=*

= 7.6 =

* FIX: Deposit notification sent only if the payment is complete (not pending)
* FIX: Allow for deposit total to be set before saving
* FIX: Help section added to the new reporting dashboards
* FIX: WP-Invoice Issues with duplicate clients
* FIX: PayPal line item totaling issues preventing some payments

= 7.5 =

* NEW: Sprout Client Compatibility

= 7.4 =

* NEW: Deposit filter allows for new add-ons
* CHANGE: More Responsive Admin
* CHANGE: Improved no-index via http headers

= 7.3 =

* FIX: Edit post link fix for notification shortcodes
* FIX: Remove "pre=" header that some SEO plugins add
* CHANGE: [dashboard_link] available on User Creation notification
* CHANGE: Free Version messaging updates

= 7.2.1 =

* FIX: Updates for Pro Versions

= 7.1 =

* NEW: Sprout Invoice specific user roles
* FIX: Multiple Sprout Invoices settings conflict fix

= 7.0.3 =

* FIX: Free version issues with redactor add-on
* FIX: Time tracker not accepting fractions
* FIX: Time Tracker on Dashboard issue
* FIX: Deposits issue for free version

= 7.0 =

https://sproutinvoices.com/news/sprout-invoices-7-0-banners-release-party-🎉/

* NEW: WooCommerce Integration is now bundled (for pro users).
* NEW: Completely revamped Stats Dashboard.
* NEW: Web accessible Time Tracking widget.
* NEW: History Management
* NEW: Subscriber specific Time Tracking dashboard widgets.
* UPDATE: Easily import unbilled time into an invoice with a single click.
* UPDATE: Add dashboard widgets to standard WP Dashboard.
* UPDATE: Improved admin search.
* NEW: Send invoice/estimate to a new email without creating a Client user with a simple input box.
* UPDATE: Modify the sender’s email for estimates and invoices on the invoice/estimate admin.
* UPDATE: Improved pay button on invoice template.
* UPDATE: Modify the "to" email for all admin notifications without a filter.
* UPDATE: Zapier integration updates, e.g. email data.
* UPDATE: Improved responsive design for meta boxes and multi-column edit screens.
* FIX: Prevent WP SEO from caring about Sprout Invoices.
* NEW: Invoice ID dynamic text
* FIX: Deposits issue for the free version (7.0.1)
* FIX: Start CSV import without using previous files
* FIX: Fix for old PHP versions without json_last_error
* FIX: Remove project types from submission page
* FIX: Language translations updated (7.0.2)

= 6.2 =

* FIX: Estimate creation via API fix
* FIX: Pointer Dismissals
* FIX: Dashboard caching issue
* FIX: ACF Pro Compatibility
* FIX: Minor importer updates for sanitization

= 6.1.6 =

* FIX: Importers failing under certain circumstances.

= 6.1.5 =

* FIX: Some escaping fixes from 6.1.1 for some sites using PayPal

= 6.1.4 =

* FIX: API callback fix for activation/deactivation and updates.

= 6.1.3 =

* UPDATE: 4.2 Compatibility
* FIX: Some escaping issues from 6.1.1

= 6.1.2 =

* FIX: Some escaping issues from 6.1.1

= 6.1.1 =

* SECURITY: Reviewed all uses of add_query_arg, regardless if $url is passed esc_url is used. 
* SECURITY: Reviewed and updated every case of echoing an un-escaped variable; with a very strict standard of making every variable escaped or casted as an int/float.

= 6.1 =

* NEW: Sprout Invoices Addons Page
* NEW: Manage bundled addons (for paid users)
* NEW: Filter the Admin Notification To: email address with `si_admin_notification_to_address`
* FIX: Block Spambots from Submitting the Payment Form
* FIX: Redirect to prevent refresh issues when a check/po is submitted #65
* FIX: PayPal Totals issue with Tax + Deposit #69

= 6.0.5 =

* FIX: Toggl incompatibility issue
* FIX: set_invoice_id error

= 6.0.3 =

* FIX: Estimate template error.
* FIX: Projects page error under come configurations

= 6.0.1 =

* FIX: Estimate approval failing under certain circumstances.

= 6.0 =

* NEW: Zapier Integration (pro version)
* NEW: CSV Importing
* NEW: Toggl Integration (pro version)
* NEW: Filter for payment reminder delay, si_get_overdue_payment_reminder_delay (pro version)
* NEW: Invoice that is voided will have a new stamp plus the user can't pay
* NEW: Allow for blank terms and notes with [si_blank] shortcode
* Improvement: API Updates for Future Release
* Improvement: CSV Importing of estimates and line items (with examples)
* Improvement: View logs adjustment to prevent duplication
* Improvement: Adjust Estimate/Invoice ID after clone
* Improvement: Confirmation page template updated
* Improvement: Handle payments better when invoice is deleted
* FIX: Redactor bug fixes when used within modal
* FIX: Client dashboard: multiple clients for a single user (pro version)
* FIX: Cloned Estimates/Invoices shouldn't retain the same status
* FIX: Send estimates/invoices when saved if recipient is selected
* FIX: Project Estimates and Invoices on Project admin adjusted
* FIX: Payment date should be post_date

= 5.5 =

* FIX: Invoices and Estimates were being returned in public search queries.

= 5.4.1 =

* FIX: Import admin

= 5.4 =

* FIX: Return all clients on Client Dashboard
* Improvement: Freshbooks import
* Improvement: Added nofollow for robots in header meta tag
* New: Create a payment when an invoice is marked as paid.

= 5.3 =

* NEW: Improve WP-Invoice Importer

= 5.2 =

* NEW: 'si_default_due_in_days' filter added
* FIX: Dynamic text within notification shortcodes
* Misc. Fixes 

= 5.1 =

* New: Compatibility class to resolve other plugins problems, e.g. Gravity Forms erring out js on custom post type pages
* FIX: More error reports for missing notifications.
* FIX: Customizer filter should only be for the front-end
* FIX: Client Dashboard was blank when a non-client was logged in

= 5.0.2 =

* FIX: Client Dashboard notification error; fixed with better abstraction
* FIX: Shortcode fix
* FIX: Free version fix for PayPal
* FIX: Add Customizer to the SI menu for clarity

= 5.0.1 =

* FIX: Comment issue with multiple line items open
* FIX: PayPal total issue when invoice has a deposit and previous payments
* FIX: Estimate line item button styling issue
* FIX: Comment shortcode issue when client has multiple users
* FIX: Compatibility fix with other plugins/themes using .tooltip

= 5.0 =

* NEW: Line item commenting (pro version)
* NEW: Pre-defined line items (pro version)
* NEW: Dynamic text (pro version)
* UPDATED: Admin UI tweaks

= 4.5 =

* IMPROVEMENT: UI update so other plugins wont conflict.
* Fix: [invoice_total_due] should respect deposit amounts
* Update: Future status

= 4.4 =

* IMPROVEMENT: Estimates and Invoices can have strings for IDs
* IMPROVEMENT: Force private URL under circumstances when auto-draft is tried to use
* IMPROVEMENT: Optimize logic for screen checking
* IMPROVEMENT: Added client default currency formatting option
* IMPROVEMENT: Cross compatibility with other plugins, including Visual Composer
* FIX: Email on client dashboard error
* UPDATE: Datatables library update

= 4.3.3 =

* FIX: Estimate Accept/Decline not working on some setups.
* IMPROVEMENT: Improved security on estimates.
* IMPROVEMENT: Re-worked currency formatting again.
* FIX: Strict Standard notice fixes.
* UPDATE: PO Updates.

= 4.3.2 =

* IMPROVEMENT: Auto updates
* UPDATE: PO updates
* FIX: Better handling of client dashboard page id caching

= 4.3.1 =

* FIX: Expiration dates not displaying
* NEW: Currency formating options
* FIX: Client dashboard updates
* FIX: Custom currency for clients and notifications
* NEW: Tax shortcodes
* NEW: Added si_client_dashboard_page_id filter
* FIX: Newly created invoices from a recurring schedule will have it's due date and issue date set

= 4.2.1 =

* FIX: JS issues on client management page.

= 4.2 =

* FIX: Fix for nested items
* IMPROVEMENT: Nesting items UX/UI
* CHANGE: localeconv() defaults so money is always formated
* IMPROVEMENT: Compatibility with Visual Composer and other plugins
* CHANGE: Remove Client currency code option, never used.
* CHANGE: Taxes are floats not integers

= 4.1.2 =

* FIX: Compatibility fix with some plugins, namely Visual Composer
* FIX: Fixing bad build with white screen of death. Sorry! Seriously! Sorry!

= 4.1 =

* NEW: Allow to clean up notifications, which is a fix from a bug in an older version.
* CHANGE: Updates to the free version.

= 4.0.3 =

* CHANGE: Again...improving automatic money formatting for non-US currencies
* FIX: Translation fix
* FIXES: Misc. minor code updates

= 4.0.2 =

* CHANGE: Improving automatic money formatting for non-US currencies

= 4.0 =

* NEW: Client Dashboards
* NEW: HTML notification add-on support
* NEW: Time importing from Freshbooks
* Misc. bug fixes and updates

= 3.5 =

* Change: Payment notification after admin payment
* Improved: State and Country Selection
* Improved: Language translations
* Improved: Filtering localeconv

= 3.4 =

* Fix: Notification activation
* Fix: FF incompatibility with status update drop-down
* Change: Invoice ID shown on payments page

= 3.3.1 =

* Fix: Estimates not being associated with Invoices correctly
* Added: Filtering localeconv with si_localeconv

= 3.3 =

* Fix: Charts on reports dashboard not working
* Fix: Misnamed Dutch translation files 

= 3.2.3 =

* Fix: Firefox not allowing negative value in qty inputs 

= 3.2.2 =

* Fix: Missing .mo files for new translations
* Fix: Quantity fields not allowing for decimals and negatives with some OSs

= 3.2 =

* New: Import time from Freshbooks
* New: Add PO Number and separate Tax line items to templates
* New: pt_BR and nl Translations
* Fix: Review untranslated strings
* Fix: Send paid notification after payment is complete, not created
* Fix: Some minor php warnings and notices

= 3.1 =

* Dashboard updates including method to flush cached values
* Notification shortcode filters

= 3.0.1 =

* Reporting fixes

= 3.0 =

* New: Recurring Payments (aka subscriptions)
* New: Recurring Invoices
* Fix: Less than a bunch more than a couple

= 2.0.9 =

* Confirmation page fix
* Improved CC processing for future add-ons
* Firefox style issue in admin

= 2.0.8 =

* Tested bump for 4.1

= 2.0.7 =

* Change/New: Estimate and Invoice templates are no longer using wp_head and wp_footer. Instead use si_head and si_footer (respectively). This allows for the templates to not be subjected to plugins and themes that inject code with those hooks. If you've created a custom template you should look into changing those functions.
* Change: Use the_content filter on line items only, and create a filter to bypass
* Fix: Client and user creation confusion
* Fix: Filter names si_allowed_*_doc_scripts/styles
* Fix: Currency code improvements

= 2.0.6 =

* _Bug Fixes:_
	* Client currency code not defaulting
	* Bug fix for sites without permalinks
	* AJAX bug fixes for clients and other sections

= 2.0 =

* _NEW:_
	* Projects
	* Time Tracking (premium version)
	* WYSIWYG for line items (premium version)

* _Changes:_
	* Improved Client management
	* Easier user assignment and creation for Clients
	* Streamlined Invoice and Estimate edit UI
	* Freshened editing and management all around
	* New possibilities for add-ons

= 1.1.5 =

* _Changes:_
	* More hooks and filters
	* fix for unit tests
* _Bug Fixes:_
	* ID shortcode fix
	* js error with custom templates

= 1.1.4 =
* _Changes:_
	* No page breaks when printing large invoices/estimates
	* Better error handling for invoices without clients assigned
	* Helper functions for future payment processors
	* More hooks and filters

* _Bug Fixes:_
	* Critical Paypal EC update to capture payment

= 1.1.3 =

* _Changes:_
	* New hooks for estimates and invoice templates
	* Starting to create some unit tests
	* Doc changes

* _Bug Fixes:_
	* Fix qtip
	* Total calculation issue with template tag

= 1.1.2 =

* _Changes:_
	* No index on estimates and invoices!
	* Paypal line items will not longer use qty since PP prevents fractions (now?)
	* Some themes don't register their scripts and styles correctly, so unregistering them comes later on wp_print_scripts

* _Bug Fixes:_
	* Deposit function adjustments
	* Paypal balance calculation fix
	* Paypal qty fraction fix.
	* Misc. errors and notices
	* Estimates/Invoices auto-draft bug when doc isn't saved first
	* Other minor bug fixes

= 1.1.1 =

* _Bug Fixes:_
	* Estimates slug not created
	* Clone warning (strict notices)
	* Other minor bug fixes
	* Better support for sites without permalinks setup


= 1.1.0.1 =

* _Bug Fixes:_
	* Saving error
	* Line item width after payment
	* Line item width after payment

= 1.1 =

* _Features:_
	* Improved Invoice and Estimate templates
	* Client specific invoice templates
	* Client specific estimate templates
	* Customizable money formats
	* Improved multi-currency support
	* Client specific money format
	* Client specific currency code for payment processing
	* minor UI improvements

* _Bug Fixes:_
	* Few error prevention updates

= 1.0.10.3.1 =

* _Bug Fixes_
	* Freshbooks payment import fix. FBAPI uses an unconventional amount format (i.e. 353634.980)

= 1.0.10 =

* _Bug Fixes_
	* Client could have non-user_ids associated
	* Handle text input with bad formatting better

= 1.0.9.1 =

* _Bug Fixes_
	* Deposits bug for free versions
	* Tasks clarification for free version
	* Allow for deletion with new drop-down UI
* _Features_
	* Custom template messaging improvements

= 1.0.8 =

* _Bug Fixes_
	* Client creation via AJAX/Modal
	* Quick send bug fixes for Estimates and Invoices
	* client_name shortcode
	* Minor fixes for importing from freshbooks, harvest and WP-Invoices

* _Features_
	* Major overhaul of importing from freshbooks, harvest and WP-Invoices.

= 1.0.7 =

* Much improved importing with AJAX

= 1.0.6 =

* Auto upgrades fix for pro users

= 1.0.5 =
* New templating class (select the invoice/estimate template)
* New status UI
* Notification updates
* Better rewrite handling
* Minor bug fixes

= 1.0.2 =

* Settings API improvements

= 1.0.1 =

* Localization support!
* Invoice/Esitmate metabox order fix
* Translatable string improvements
* Importer improvements
* Invoices with Outstanding Balance have a label on mngt. screen.
* Reports table updates
* Fix for advanced reporting on some hosts
* Title/Subject not showing correctly
* Better error handling during import
* apple_filters('the_content') to the terms and notes on estimates and invoices
* Load order update to improve add-on support

= 1.0 =

Welcome! This is a big update and a big step for us.

* There's a free version and most like you're using it.
* Import from WP-Invoice, Harvest or Freshbooks.
* Helpers, coming before this is truly 1.0. (shush! this is really 0.9.*)
* So many bug fixes that make this a legit 1.0 release.
* Admin bar links.
* Better dashboard let you know what's up.
* Remove some unnecessary cruft.
* Multiple taxes

= 0.9.9.5 - 1.0 GM =

* Subject line fix.

= 0.9.9.4 - 1.0 GM =

* WP-Invoice Importer Bug fix: Import any type
* WP-Invoice Importer Bug fix: Fix devision by zero error
* WP-Invoice Importer Bug fix: Add si_default_country_code filter to set default country code.

= 0.9.9.4 - 1.0 GM =

* Strict standards fixins

= 0.9.9.2 - 1.0 GM =

* Some versions of PHP will bomb when checking if method_exists on a nonexistant class. Silly...

= 0.9.9.1 =

* Minor bug fixes

= 0.9.9 =

* Plugin updates fix
* Add-ons not loading, e.g. Stripe.

= 0.9.8.4 =

* Dashboard fix

= 0.9.8.4 =

* Import progress fix.

= 0.9.8.1 =

* Fix deposit and cleanup files

= 0.9.2 =

* Admin bar links
* Additional hooks and filters required by submission integration add-on
* Minor updates

= 0.9.1 =

* Line Item UI changes.
* Invoice Style fixes
* Plugin updater conflict.
* Better documentation and linking to site.


= 0.9 =

* Initial Release

= 0.9.0.3 =

* Remove debugging logs from release branch.